SchemaEvent
Keywords: uk.ac.ic.doc.automed.p2p.directory.SchemaEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.directory
Class SchemaEvent

    java.lang.Object
      java.util.EventObject
          uk.ac.ic.doc.automed.p2p.directory.SchemaEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SchemaEvent

extends java.util.EventObject

SchemaEvent.java The event object that encapsulates all schema change events occur in the directory

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 04 May 2006 Department of Computing, Imperial College
See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_DELETE`
`static int` | `ACTION_REGISTER`
`static int` | `ACTION_UPDATE`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SchemaEvent(int action, SchemaDescription schemaDesc, PeerDescription peerDesc, java.lang.Object source)` Creates a new instance of PeerEvent

Method Summary
`int` | `getAction()`
`PeerDescription` | `getPeerDescription()`
`java.lang.String` | `getSchemaDescription()`
`java.lang.String` | `getSchemaName()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_REGISTER

    public static final int ACTION_REGISTER

See Also:
  Constant Field Values

### ACTION_UPDATE

    public static final int ACTION_UPDATE

See Also:
  Constant Field Values

### ACTION_DELETE

    public static final int ACTION_DELETE

See Also:
  Constant Field Values

Constructor Detail

### SchemaEvent

    public SchemaEvent(int action,
                       SchemaDescription schemaDesc,
                       PeerDescription peerDesc,
                       java.lang.Object source)

  Creates a new instance of PeerEvent

  Parameters:
    `action` - the specific peer event action which is one of
    `ACTION_REGISTER`
    `ACTION_UPDATE`
    `ACTION_DELETE`
    `peerDesc` - an `PeerDescription` object that represents the peer in question
    `source` - the standard source object from which this event was generated

Method Detail

### getAction

    public int getAction()

### getSchemaName

    public java.lang.String getSchemaName()

### getSchemaDescription

    public java.lang.String getSchemaDescription()

### getPeerDescription

    public PeerDescription getPeerDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD